package com.mmc.iuav.user.service.fdd;


import com.mmc.iuav.response.ResultBody;
import com.mmc.iuav.user.model.dto.LoginSuccessDTO;
import com.mmc.iuav.user.model.fdd.resp.PersonVerifyResp;

import java.util.Map;

/**
 * author:zhenjie
 * Date:2022/9/1
 * time:15:46
 */
public interface UserFddAuthService {
    String register(String uid, String accountType);

    PersonVerifyResp getPersonVerifyUrl(String customerId);

    ResultBody getCompanyVerifyUrl(Integer port, LoginSuccessDTO loginSuccessDTO);

    ResultBody notifyECertRes(Map<String, String> map);
//
//    ResultBody findCompanyCertInfo(String unionId);
//
//    ResultBody getAppUserFddInfo(String unionId);

    String replaceUnableString(String uid);
//
//    List<AppUserFddDTO> feignGetAppUserFddInfo(List<String> unionId);
}
